<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<HEAD>
<TITLE>
FREE SOFT COUNTER - Modificar el registre d'un usuari
</TITLE>
<LINK REL = "stylesheet" TYPE = "text/css" HREF = "../css/estils.css">
</HEAD>
<BODY>
<P CLASS = "title">THE FREE SOFT COUNTER</P>
<HR>
<BR> 
<?php 
/*conexio a postgresql*/
$conexio = pg_connect("dbname=bdneftali user=neftali password=Zaragoza");
if (!$conexio) {
        echo "<CENTER>
              Hi ha hagut problemes amb la conexi&oacute; a la base de dades.
              </CENTER>";
        exit;
   }
?>

<TABLE CLASS="menu" WIDTH ="100%">
<TR>
    <TD WIDTH="13%" CLASS="menu"><A CLASS="negre" HREF="../index.html.ca">HOME</A></TD>
    <TD WIDTH="19%" CLASS="menu"><A CLASS="negre" HREF="../index.html.ca#register">REGISTRE</A></TD>
    <TD WIDTH="13%" CLASS="menu"><A CLASS="negre" HREF="../index.html.ca#login">LOGIN</A></TD>
    <TD WIDTH="15%" CLASS="menu"><A CLASS="negre" HREF="news.html">NOT&Iacute;CIES</A></TD>
    <TD WIDTH="17%" CLASS="menu"><A CLASS="negre" HREF="contacts.php">CONTACTES</A></TD>
    <TD WIDTH="23%" CLASS="menu"><A CLASS="negre" HREF="../index.html.ca#statistics">ESTAD&Iacute;STIQUES</A></TD>
</TR>
</TABLE>
<BR><BR><P CLASS = "subtitle">MODIFICAR EL REGISTRE D'UN USUARI</P><BR><BR>

<!-- comprovem les dades enviades i les inserim a la base de dades-->

<?php

/*incloem les funcions necessries*/

require("../includes/functions.inc");


/*******************comprovacio del password encriptat o enviat, que identifica l'usuari**********************/


/*inicialitzem les variables que farem servir*/

$password = "";
$tupla = "";


/*obtenim el password desencriptat*/

$password = desencriptar_password($conexio, $HTTP_POST_VARS['e_mail'], $HTTP_POST_VARS['encriptacio']);


/*obtenim el password que te registrat l'usuari*/

$result_set = pg_exec($conexio, "SELECT password FROM USUARI WHERE e_mail = '".$HTTP_POST_VARS['e_mail']."'" );
$files = pg_numrows($result_set);

if($files!=0){

    $tupla = pg_fetch_array($result_set , 0);

}

/*comprovem que la desencriptacio i el password registrat coincideixen*/

if( ($password != $tupla['password']) OR ($password == "")){

    echo "<B>ERROR : La p&agrave;gina ha expirat. Torna a fer login. </B><BR>";

    pg_close($conexio);
    
    exit;

}


/*inicialitzem la variable d'error a 0, i si es produeix algun error, tindr un valor diferent de 0*/

$error = 0;

/*comprovem que s'han confirmat les dades enviades*/

if($HTTP_POST_VARS['confirmacio']!= "on"){

    echo "<B>Has de confirmar la modificaci&oacute; per enregistrar els canvis !!! <BR>\n
    Prem el but&oacute; enrera, comprova les dades i confirma la modificaci&oacute;.</B>";
    
    pg_close($conexio);
    
    exit;
}

/**********************control de les dades enviades per la modificacio de l'usuari**********************/

$nom_pais = "";
$nom_ciutat = "";
$password = "";

/*comprovem si l'usuari ha seleccionat la ciutat o l'ha entrat com a dada*/

if($HTTP_POST_VARS['nom_ciutat_usuari_seleccionada']!= "NONE"){
    $nom_pais = pais($HTTP_POST_VARS['nom_ciutat_usuari_seleccionada']);
    $nom_ciutat = ciutat($HTTP_POST_VARS['nom_ciutat_usuari_seleccionada']);
}
else{
    $nom_pais = $HTTP_POST_VARS['nom_pais_usuari'];
    $nom_ciutat = $HTTP_POST_VARS['nom_ciutat_usuari_entrada'];
}

/*comprovem si l'usuari ha introdut algun password i si aquest coincideix amb la verificaci donada*/

if(strlen($HTTP_POST_VARS['password'])!= 0 ){
    
    if(strlen($HTTP_POST_VARS['password']) == 8 and ($HTTP_POST_VARS['password']== $HTTP_POST_VARS['retyped'])){
        $password = $HTTP_POST_VARS['password'];
    }
    else{

        echo "<B>Has d'entrar un password de  8 car&agrave;cters i ha de ser igual al password re-entrat. <BR>\n
        Prem el but&oacute; enrera, comprova les dades i torna a confirmar la modificaci&oacute;.</B>";
    
        pg_close($conexio);
    
        exit;
    }
}

/*eliminem els posibles espais blancs duplicats de la ciutat indicada*/

$nom_ciutat = nomes_un_espai($nom_ciutat);

/*comprovem que la resta de dades son alfanumeriques*/

if(te_cometes_o_barra($HTTP_POST_VARS['homepage'])){

   echo "<B>ERROR : ".missatge_error( 36, "catala")."</B><BR>\n";
        
   pg_close($conexio);
        
   exit;

}

if(!es_alfanumeric($HTTP_POST_VARS['nom_usuari'])){

   echo "<B>ERROR : ".missatge_error( 37, "catala")."</B><BR>\n";
        
   pg_close($conexio);
        
   exit;

}

/*comprovem que la resta de dades son alfa*/

if(!es_alfa($HTTP_POST_VARS['estat_o_regio'])){

   echo "<B>ERROR : ".missatge_error( 32, "catala")."</B><BR>\n";
        
   pg_close($conexio);
        
   exit;

}

if(!es_alfa($nom_ciutat)){

   echo "<B>ERROR : ".missatge_error( 33, "catala")."</B><BR>\n";
        
   pg_close($conexio);
        
   exit;

}

if(!pswd_valid($password)){

   echo "<B>ERROR : ".missatge_error( 38, "catala")."</B><BR>\n";
        
   pg_close($conexio);
        
   exit;

}

/*inici de la transaccio*/

pg_Exec ($conexio, "BEGIN WORK");

/*donem les dades de l'usuari a la base de dades*/

$result_set = "";
$result_set = pg_Exec ($conexio, "SELECT modif_dades_usuari('".$HTTP_POST_VARS['e_mail']."', '".$HTTP_POST_VARS['mail_public']."',
'".$HTTP_POST_VARS['homepage']."', '".$HTTP_POST_VARS['nom_usuari']."', '".$password."', '".$nom_pais."', '".$HTTP_POST_VARS['estat_o_regio_usuari']."',
'".$nom_ciutat."' )");
$files = pg_numrows($result_set);

/*obtenim el resultat de l'operacio*/

if($files!=0){
    $tupla = pg_fetch_array ($result_set , 0);
    $error = $tupla['modif_dades_usuari'];
}
else{
    /*error = -1 => no s'ha pogut executar l'alta de l'usuari*/ 
    $error = -1;
}

/*si hi ha hagut error fem rollback i sortim*/

if($error != 0){
    echo "<B>ERROR : Modificaci&oacute; del registre d'usuari : ".missatge_error($error, "catala")."\n </B>";
    pg_Exec ($conexio, "ROLLBACK WORK");
    pg_close($conexio);
    exit;
}

pg_Exec ($conexio, "COMMIT WORK");

/*tanquem la connexio amb la base de dades*/

pg_close($conexio);

echo "<B>El teu registre ha estat modificat correctament. 
Torna a fer login per veure els canvis al teu registre.</B>\n";

?>

</BODY>
</HTML>