<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<HEAD>
<TITLE>
FREE SOFT COUNTER - Registre d'un nou usuari
</TITLE>
<LINK REL = "stylesheet" TYPE = "text/css" HREF = "../css/estils.css">
</HEAD>
<BODY>
<P CLASS = "title">THE FREE SOFT COUNTER</P>
<HR>
<BR> 
<?php 
/*conexio a postgresql*/

$conexio = pg_connect("dbname=bdneftali user=neftali password=Zaragoza");
if (!$conexio) {
        echo "<CENTER>
              Hi ha hagut problemes amb la conexi&oacute; a la base de dades.
              </CENTER>";
        exit;
   }
?>

<TABLE CLASS="menu" WIDTH ="100%">
<TR>
    <TD WIDTH="13%" CLASS="menu"><A CLASS="negre" HREF="../index.html.ca">HOME</A></TD>
    <TD WIDTH="19%" CLASS="menu"><A CLASS="negre" HREF="../index.html.ca#register">REGISTRE</A></TD>
    <TD WIDTH="13%" CLASS="menu"><A CLASS="negre" HREF="../index.html.ca#login">LOGIN</A></TD>
    <TD WIDTH="15%" CLASS="menu"><A CLASS="negre" HREF="news.html">NOT&Iacute;CIES</A></TD>
    <TD WIDTH="17%" CLASS="menu"><A CLASS="negre" HREF="contacts.php">CONTACTES</A></TD>
    <TD WIDTH="23%" CLASS="menu"><A CLASS="negre" HREF="../index.html.ca#statistics">ESTAD&Iacute;STIQUES</A></TD>
</TR>
</TABLE>
<BR><BR><P CLASS = "subtitle">REGISTRE D'UN NOU USUARI</P><BR><BR>

<!-- comprovem les dades enviades i les inserim a la base de dades-->

<?php

/*incloem les funcions necessries*/

require("../includes/functions.inc");

/**********************control de les dades enviades per l'alta d'usuari**********************/

/*inicialitzem la variable d'error a 0, i si es produeix algun error, tindr un valor diferent de 0*/

$error = 0;

/*comprovem que s'han confirmat les dades enviades*/

if($HTTP_POST_VARS['confirmacio']!= "on"){

    echo "<B>Has de confirmar les dades si vols ser enregistrat !!! <BR>\n
    Prem el but&oacute; enrera, comprova les dades i confirma el teu registre.</B>\n";
    
    pg_close($conexio);
    
    exit;
}

/*inicialitzem les variables que farem servir*/

$nom_pais_usuari = "";
$nom_ciutat_usuari = "";

/*comprovem si l'usuari ha seleccionat la ciutat o l'ha entrat com a dada*/

if($HTTP_POST_VARS['nom_ciutat_usuari_seleccionada']!= "NONE"){
    $nom_pais_usuari = pais($HTTP_POST_VARS['nom_ciutat_usuari_seleccionada']);
    $nom_ciutat_usuari = ciutat($HTTP_POST_VARS['nom_ciutat_usuari_seleccionada']);
}
else{
    $nom_pais_usuari = $HTTP_POST_VARS['nom_pais_usuari'];
    $nom_ciutat_usuari = $HTTP_POST_VARS['nom_ciutat_usuari_entrada'];
}

/*tractem la ciutat , per si l'ha entrada l'usuari, treient els posibles espais en blanc que s'hagin introdut de ms*/

$nom_ciutat_usuari = nomes_un_espai($nom_ciutat_usuari);

/*tractem l'e-mail introdut , per si t espais en blanc inicials*/

$e_mail = $HTTP_POST_VARS['e_mail'];
$e_mail = sense_espais_inicials($e_mail);

/*assignem el password de l'usuari que es registra*/

$password = password_aleatori();

/*comprovem que la resta de dades son alfanumeriques*/

if(!es_alfanumeric($e_mail)){

   echo "<B>ERROR : ".missatge_error( 44, "catala")."</B><BR>\n";
        
   pg_close($conexio);
        
   exit;

}

if(te_cometes_o_barra($HTTP_POST_VARS['homepage'])){

   echo "<B>ERROR : ".missatge_error( 36, "catala")."</B><BR>\n";
        
   pg_close($conexio);
        
   exit;

}

if(!es_alfanumeric($HTTP_POST_VARS['nom_usuari'])){

   echo "<B>ERROR : ".missatge_error( 37, "catala")."</B><BR>\n";
        
   pg_close($conexio);
        
   exit;

}

/*comprovem que la resta de dades son alfa*/

if(!es_alfa($HTTP_POST_VARS['estat_o_regio_usuari'])){

   echo "<B>ERROR : ".missatge_error( 32, "catala")."</B><BR>\n";
        
   pg_close($conexio);
        
   exit;

}

if(!es_alfa($nom_ciutat_usuari)){

   echo "<B>ERROR : ".missatge_error( 33, "catala")."</B><BR>\n";
        
   pg_close($conexio);
        
   exit;

}


/*inici de la transaccio*/

pg_Exec ($conexio, "BEGIN WORK");

/*donem les dades de l'usuari a la base de dades*/

$result_set = pg_Exec ($conexio, "SELECT donar_dades_usuari( '".$e_mail."', '".$password."', '".$HTTP_POST_VARS['nom_usuari']."',
'".$HTTP_POST_VARS['homepage']."', '".$nom_pais_usuari."', '".$HTTP_POST_VARS['estat_o_regio_usuari']."', '".$nom_ciutat_usuari."',
'".$HTTP_POST_VARS['mail_public']."')");
$files = pg_numrows($result_set);

/*obtenim el resultat de l'operacio*/

if($files!=0){
    $tupla = pg_fetch_array ($result_set , 0);
    $error = $tupla['donar_dades_usuari'];
}
else{
    /*error = -1 => no s'ha pogut executar l'alta de l'usuari*/ 
    $error = -1;
}

/*si hi ha hagut error fem rollback i sortim*/

if($error != 0){
    
    echo "<B>ERROR : ".missatge_error($error, "catala")."\n";
    
    pg_Exec ($conexio, "ROLLBACK WORK");
    
    pg_close($conexio);
    
    exit;
}



/**********************control de les dades enviades pel primer s**********************/

$nom_prog_us_1 = "";
$nom_escola_treball_us_1 = "";
$nom_escola_estudis_us_1 = "";
$nom_uni_treball_us_1 = "";
$nom_uni_estudis_us_1 = "";
$nom_ciutat_treball_us_1 = "";
$nom_ciutat_estudis_us_1 = "";
$nom_pais_treball_us_1 = "";
$nom_pais_estudis_us_1 = "";

/*aquesta variable ens serveix per comprovar que l'usuari ha seleccionat almenys un tipus d's*/

$seleccio_un_tipus = FALSE;


if($HTTP_POST_VARS['nom_prog_us_1_seleccionat']!= "NONE"){
    $nom_prog_us_1 = $HTTP_POST_VARS['nom_prog_us_1_seleccionat'];
}
else{
    $nom_prog_us_1 = $HTTP_POST_VARS['nom_prog_us_1_entrat'];
}

if($HTTP_POST_VARS['nom_escola_treball_us_1_seleccionada']!= "NONE"){
    $nom_escola_treball_us_1 = $HTTP_POST_VARS['nom_escola_treball_us_1_seleccionada'];
}
else{
    $nom_escola_treball_us_1 = $HTTP_POST_VARS['nom_escola_treball_us_1_entrada'];
}

if($HTTP_POST_VARS['nom_uni_treball_us_1_seleccionada']!= "NONE"){
    $nom_uni_treball_us_1 = $HTTP_POST_VARS['nom_uni_treball_us_1_seleccionada'];
}
else{
    $nom_uni_treball_us_1 = $HTTP_POST_VARS['nom_uni_treball_us_1_entrada'];
}

if($HTTP_POST_VARS['nom_ciutat_treball_us_1_seleccionada']!= "NONE"){
    $nom_ciutat_treball_us_1 = ciutat($HTTP_POST_VARS['nom_ciutat_treball_us_1_seleccionada']);
    $nom_pais_treball_us_1 = pais($HTTP_POST_VARS['nom_ciutat_treball_us_1_seleccionada']);
}
else{
    $nom_ciutat_treball_us_1 = $HTTP_POST_VARS['nom_ciutat_treball_us_1_entrada'];
    $nom_pais_treball_us_1 = $HTTP_POST_VARS['nom_pais_treball_us_1'];
}

if($HTTP_POST_VARS['nom_escola_estudis_us_1_seleccionada']!= "NONE"){
    $nom_escola_estudis_us_1 = $HTTP_POST_VARS['nom_escola_estudis_us_1_seleccionada'];
}
else{
    $nom_escola_estudis_us_1 = $HTTP_POST_VARS['nom_escola_estudis_us_1_entrada'];
}

if($HTTP_POST_VARS['nom_uni_estudis_us_1_seleccionada']!= "NONE"){
    $nom_uni_estudis_us_1 = $HTTP_POST_VARS['nom_uni_estudis_us_1_seleccionada'];
}
else{
    $nom_uni_estudis_us_1 = $HTTP_POST_VARS['nom_uni_estudis_us_1_entrada'];
}

if($HTTP_POST_VARS['nom_ciutat_estudis_us_1_seleccionada']!= "NONE"){
    $nom_ciutat_estudis_us_1 = ciutat($HTTP_POST_VARS['nom_ciutat_estudis_us_1_seleccionada']);
    $nom_pais_estudis_us_1 = pais($HTTP_POST_VARS['nom_ciutat_estudis_us_1_seleccionada']);
}
else{
    $nom_ciutat_estudis_us_1 = $HTTP_POST_VARS['nom_ciutat_estudis_us_1_entrada'];
    $nom_pais_estudis_us_1 = $HTTP_POST_VARS['nom_pais_estudis_us_1'];
}

/*tractem els espais en blanc que puguin haver de ms*/

$nom_prog_us_1 = nomes_un_espai($nom_prog_us_1);
$nom_escola_treball_us_1 = nomes_un_espai($nom_escola_treball_us_1);
$nom_escola_estudis_us_1 = nomes_un_espai($nom_escola_estudis_us_1);
$nom_uni_treball_us_1 = nomes_un_espai($nom_uni_treball_us_1);
$nom_uni_estudis_us_1 = nomes_un_espai($nom_uni_estudis_us_1);
$nom_ciutat_treball_us_1 = nomes_un_espai($nom_ciutat_treball_us_1);
$nom_ciutat_estudis_us_1 = nomes_un_espai($nom_ciutat_estudis_us_1);
$nom_pais_treball_us_1 = nomes_un_espai($nom_pais_treball_us_1);
$nom_pais_estudis_us_1 = nomes_un_espai($nom_pais_estudis_us_1);

/*tractem aquelles dades que no han de tenir espais en blanc*/

if($HTTP_POST_VARS['percentatge_us_1']==""){
    $percentatge_us_1 = "0";
}
else{
    $percentatge_us_1 = $HTTP_POST_VARS['percentatge_us_1'];
}
$percentatge_us_1 = sense_espais($percentatge_us_1);

$versio_prog_us_1 = $HTTP_POST_VARS['versio_prog_us_1'];
$versio_prog_us_1 = sense_espais($versio_prog_us_1);


/*si l'usuari ho ha indicat, donem d'alta el primer us*/

if($HTTP_POST_VARS['us1']== "on"){ 

    /*si el percentatge entrat es incorrecte error = 20*/

    if(!nomes_numeros($percentatge_us_1)){

        echo "<B>ERROR : Registre de l'&uacute;s #1 : ".missatge_error( 20, "catala")."<BR>\n";
        pg_Exec ($conexio, "ROLLBACK WORK");
        pg_close($conexio);
        exit;

    }

    if(!es_alfanumeric($nom_prog_us_1)){

       echo "<B>ERROR : Registre de l'&uacute;s #1 : ".missatge_error( 42, "catala")."</B><BR>\n";
       pg_Exec ($conexio, "ROLLBACK WORK");
       pg_close($conexio);
       exit;
    
    }

    if(!es_alfanumeric($versio_prog_us_1)){
    
       echo "<B>ERROR : Registre de l'&uacute;s #1 : ".missatge_error( 43, "catala")."</B><BR>\n";
       pg_Exec ($conexio, "ROLLBACK WORK");
       pg_close($conexio);
       exit;
    
    }
    
    $result_set = "";
    $result_set = pg_Exec($conexio,"SELECT afegir_us_prog('".$nom_prog_us_1."', ".$percentatge_us_1.", '".$versio_prog_us_1."', '".$e_mail."')");
    $files = pg_numrows($result_set);

    /*obtenim el valor de retorn de l'alta de l's*/

    if($files!=0){
        $tupla = pg_fetch_array ($result_set , 0);
        $error = $tupla['afegir_us_prog'];
    }
    else{
    
        /*error = -1 => no s'ha pogut executar l'alta de l'us*/ 
        $error = -1;
    
    }
    
    /*si no s'ha comes cap error, donem d'alta les especialitzacions de l's que registrem*/
    
    if($HTTP_POST_VARS['us_casa_1']== "on" and $error == 0){
        
        $seleccio_un_tipus = TRUE;
        $result_set = "";
        $result_set = pg_Exec ($conexio, "SELECT afegir_us_casa('".$nom_prog_us_1."', '".$e_mail."')");
        $files = pg_numrows($result_set);

        if($files!=0){
            $tupla = pg_fetch_array ($result_set , 0);
            $error = $tupla['afegir_us_casa'];
        }
        else{
            /*error = -1 => no s'ha pogut executar l'alta de l'us*/ 
            $error = -1;
        }
    }
        
    if($HTTP_POST_VARS['us_treball_1']== "on" and $error == 0){
        
        if(!es_alfa($HTTP_POST_VARS['estat_o_regio_treball_us_1'])){

           echo "<B>ERROR : Us treball : ".missatge_error( 32, "catala")."</B><BR>\n";
           pg_Exec ($conexio, "ROLLBACK WORK");     
           pg_close($conexio);
                
           exit;
        }
    
        if(!es_alfa($nom_ciutat_treball_us_1)){
        
           echo "<B>ERROR : Us treball : ".missatge_error( 33, "catala")."</B><BR>\n";
           pg_Exec ($conexio, "ROLLBACK WORK");     
           pg_close($conexio);
                
           exit;
        
        }
    
            if(!es_alfa($nom_escola_treball_us_1)){
        
           echo "<B>ERROR : Us treball : ".missatge_error( 34, "catala")."</B><BR>\n";
           pg_Exec ($conexio, "ROLLBACK WORK");     
           pg_close($conexio);
                
           exit;
        
        }
    
        if(!es_alfa($nom_uni_treball_us_1)){
        
           echo "<B>ERROR : Us treball : ".missatge_error( 35, "catala")."</B><BR>\n";
           pg_Exec ($conexio, "ROLLBACK WORK");     
           pg_close($conexio);
                
           exit;
        
        }
        
        $seleccio_un_tipus = TRUE;
        $result_set = "";
        $result_set = pg_Exec ($conexio, "SELECT afegir_us_treball('".$nom_prog_us_1."', '".$e_mail."', '".$nom_escola_treball_us_1."',
        '".$nom_uni_treball_us_1."', '".$nom_ciutat_treball_us_1."', '".$HTTP_POST_VARS['estat_o_regio_treball_us_1']."','".$nom_pais_treball_us_1."')");
        $files = pg_numrows($result_set);
    
        if($files!=0){
            $tupla = pg_fetch_array ($result_set , 0);
            $error = $tupla['afegir_us_treball'];
        }
        else{
            /*error = -1 => no s'ha pogut executar l'alta de l'us*/ 
            $error = -1;
        }
    }    

    if($HTTP_POST_VARS['us_estudis_1']== "on" and $error == 0){

        if(!es_alfa($HTTP_POST_VARS['estat_o_regio_estudis_us_1'])){

           echo "<B>ERROR : Us estudis : ".missatge_error( 32, "catala")."</B><BR>\n";
           pg_Exec ($conexio, "ROLLBACK WORK");     
           pg_close($conexio);
                
           exit;
        }
    
        if(!es_alfa($nom_ciutat_estudis_us_1)){
        
           echo "<B>ERROR : Us estudis : ".missatge_error( 33, "catala")."</B><BR>\n";
           pg_Exec ($conexio, "ROLLBACK WORK");     
           pg_close($conexio);
                
           exit;
        
        }
    
            if(!es_alfa($nom_escola_estudis_us_1)){
        
           echo "<B>ERROR : Us estudis : ".missatge_error( 34, "catala")."</B><BR>\n";
           pg_Exec ($conexio, "ROLLBACK WORK");     
           pg_close($conexio);
                
           exit;
        
        }
    
        if(!es_alfa($nom_uni_estudis_us_1)){
        
           echo "<B>ERROR : Us estudis : ".missatge_error( 35, "catala")."</B><BR>\n";
           pg_Exec ($conexio, "ROLLBACK WORK");     
           pg_close($conexio);
                
           exit;
        
        }
   
        $seleccio_un_tipus = TRUE;

        $result_set = "";
        $result_set = pg_Exec ($conexio, "SELECT afegir_us_estudis('".$nom_prog_us_1."', '".$e_mail."', '".$nom_escola_estudis_us_1."',
        '".$nom_uni_estudis_us_1."','".$nom_ciutat_estudis_us_1."','".$HTTP_POST_VARS['estat_o_regio_estudis_us_1']."', '".$nom_pais_estudis_us_1."')");
        $files = pg_numrows($result_set);
    
        if($files!=0){
            $tupla = pg_fetch_array ($result_set , 0);
            $error = $tupla['afegir_us_estudis'];
        }
        else{
            /*error = -1 => no s'ha pogut executar l'alta de l'us*/ 
            $error = -1;
        }
    }    

    if(!$seleccio_un_tipus and $error == 0){
        /*si no s'ha seleccionat almenys un subtipus de l's que es registra, error = 16*/
        $error = 16;
    }

    /*si hi ha hagut error, fem rollback i sortim*/
    
    if($error != 0){

        echo "<B>ERROR : Registre de l'&uacute;s #1 : ".missatge_error($error, "catala")."<BR>\n";
        
        pg_Exec ($conexio, "ROLLBACK WORK");
        
        pg_close($conexio);
        
        exit;
    
    }

}


pg_Exec ($conexio, "COMMIT WORK");

/*tanquem la connexio amb la base de dades*/

pg_close($conexio);

?>

ENHORABONA ! Ara ets un usuari registrat del Free Soft Counter.<BR><BR>
El password assignat al teu registre &eacute;s : <BR><BR>

<CENTER><?php echo $password ?></CENTER><BR><BR>

Anota el password en un lloc segur, de manera que no l'oblidis i ning&uacute; hi tingui acc&eacute;s. Si la m&agrave;quina que has fet 
servir per enregistrar-te &eacute;s p&uacute;blica, alg&uacute; pot accedir a les webs que hagis visitat i pot veure el password assignat
al teu registre. Per evitar aix&ograve; pots :<BR><BR>

- Eliminar les webs visitades i els fitxers temporals d'internet. <BR><BR>
- Canviar el teu password immediatament , fent login i  modificant les dades. Si alg&uacute; veu el password donat en aquesta p&agrave;gina, 
no el podr&agrave; fer servir, perqu&egrave; haur&agrave; estat canviat (recomanat).

<BR><BR><BR>
</BODY>
</HTML>