<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<HEAD>
<TITLE>
FREE SOFT COUNTER- Number of machines by purpose statistics
</TITLE>
<LINK REL = "stylesheet" TYPE = "text/css" HREF = "../css/estils.css">
</HEAD>
<BODY>
<P CLASS = "title">THE FREE SOFT COUNTER</P>
<HR>
<BR> 
<?php 
/*conexio a postgresql*/
$conexio = pg_connect("dbname=bdneftali user=neftali password=Zaragoza");
if (!$conexio) {
        echo "<CENTER>
              There have been problems with the DB connexion.
              </CENTER>";
        exit;
   }
?>

<TABLE CLASS="menu" WIDTH ="100%">
<TR>
    <TD WIDTH="13%" CLASS="menu"><A CLASS="negre" HREF="../index.html.en">HOME</A></TD>
    <TD WIDTH="19%" CLASS="menu"><A CLASS="negre" HREF="../index.html.en#register">REGISTER</A></TD>
    <TD WIDTH="13%" CLASS="menu"><A CLASS="negre" HREF="../index.html.en#login">LOGIN</A></TD>
    <TD WIDTH="15%" CLASS="menu"><A CLASS="negre" HREF="news.html">NEWS</A></TD>
    <TD WIDTH="17%" CLASS="menu"><A CLASS="negre" HREF="contacts.php">CONTACTS</A></TD>
    <TD WIDTH="23%" CLASS="menu"><A CLASS="negre" HREF="../index.html.en#statistics">STATISTICS</A></TD>
</TR>
</TABLE>
<BR>
<BR>
<P CLASS = "subtitle">NUMBER OF MACHINES BY PURPOSE STATISTICS</P>
<BR>
<BR>
<?php

/*consultem el total de maquines registrades*/

$sql = "SELECT COUNT(*) AS total_maq FROM MAQUINA ";

$result_set = pg_Exec ($conexio, $sql);
$files = pg_numrows($result_set);

$total_maq = 0;

if($files!=0){

    $tupla = pg_fetch_array ($result_set , 0);
    $total_maq = $tupla['total_maq'];
    
}

/*consultem el total de maquines que fan de client*/

$sql = "SELECT COUNT(DISTINCT nom_maq) AS num_maq_client FROM DESTINACIO d, PROPOSIT p WHERE p.nom_prop = d.nom_prop AND p.tipus_prop = 'C' ";

$result_set = "";
$result_set = pg_Exec ($conexio, $sql);
$files = pg_numrows($result_set);

$num_maq_client = 0;

if($files!=0){

    $tupla = pg_fetch_array ($result_set , 0);
    $num_maq_client = $tupla['num_maq_client'];
    
}


/*consultem el total de maquines que fan de servidor*/

$sql = "SELECT COUNT(DISTINCT nom_maq) AS num_maq_servidor FROM DESTINACIO d, PROPOSIT p WHERE p.nom_prop = d.nom_prop AND p.tipus_prop = 'S' ";

$result_set = "";
$result_set = pg_Exec ($conexio, $sql);
$files = pg_numrows($result_set);

$num_maq_servidor = 0;

if($files!=0){

    $tupla = pg_fetch_array ($result_set , 0);
    $num_maq_servidor = $tupla['num_maq_servidor'];
    
}


/*consultem les dades necessries per mostrar les estadstiques*/

if($HTTP_POST_VARS['nom_prop']!="NONE"){

    $sql = "SELECT COUNT(*) AS num_maq_proposit FROM DESTINACIO WHERE nom_prop = '".$HTTP_POST_VARS['nom_prop']."'";

}

else{

    $sql = "SELECT nom_prop, COUNT(*) AS num_maq_proposit FROM DESTINACIO GROUP BY nom_prop ORDER BY num_maq_proposit DESC";

}

/*executem la consulta*/

$result_set = "";
$result_set = pg_Exec ($conexio, $sql);
$files = pg_NumRows($result_set);

/*mostrem els resultats*/

$contador = 0;
$percentatge = 0;

if($files!=0){

    if($HTTP_POST_VARS['nom_prop']!="NONE"){
    
        echo "<B>DEFINITIONS :</B>
        <BR><BR>\n
        <B>MACHINES = </B>the number of machines registered which are destinated for the selected purpose.<BR>\n
        <B>% OF TOTAL MACHINES = </B>the percentage of machines which is represented by MACHINES
        (over the total of machines registered).<BR>\n
        <BR><BR><BR><BR>\n
        <B>STATISTICS RESULTS FOR THE PURPOSE ".$HTTP_POST_VARS['nom_prop']."
        </B><BR><BR>
        <TABLE CLASS = \"resultat\">\n
        <TR>\n
        <TH CLASS = \"resultat\"> MACHINES </TH>\n
        <TH CLASS = \"resultat\"> % OF TOTAL MACHINES </TH>\n
        </TR>\n";
        
        $tupla = pg_fetch_array ($result_set , $contador);

        echo "<TR CLASS = \"resultat\">\n
        <TD CLASS = \"resultat\"> ".$tupla['num_maq_proposit']."</TD>\n";
        
        if($tupla['num_maq_proposit']!= 0){
            $percentatge = ($tupla['num_maq_proposit'] / $total_maq)*100;
        }
        echo "<TD CLASS = \"resultat\"> ".round($percentatge,2)."</TD>\n
        </TR>
        </TABLE>\n";
    }
    else{

        echo "<B>DEFINITIONS :</B>
        <BR><BR>\n
        <B>MACHINES = </B>the number of machines registered which are destinated for the current purpose.<BR>\n
        <B>% OF TOTAL MACHINES = </B>the percentage of machines, which is represented by MACHINES
        (over the total of machines registered).<BR>\n
        <BR><BR><BR><BR>\n
        <TABLE CLASS = \"resultat\">\n
        <TR>\n
        <TH CLASS = \"resultat\"> PURPOSE </TH>\n
        <TH CLASS = \"resultat\"> MACHINES </TH>\n
        <TH CLASS = \"resultat\"> % OF TOTAL MACHINES </TH>\n
        </TR>\n";
    
        /*fem el tractament de cada tupla obtinguda en la consulta anterior*/
    
        while($contador < $files){    

            $tupla = pg_fetch_array ($result_set , $contador);
    
            echo "<TR CLASS = \"resultat\">\n
            <TD CLASS = \"resultat\"> ".$tupla['nom_prop']."</TD>\n
            <TD CLASS = \"resultat\"> ".$tupla['num_maq_proposit']."</TD>\n";
        
            $percentatge = 0;
    
            if($tupla['num_maq_proposit']!= 0){
                $percentatge = ($tupla['num_maq_proposit'] / $total_maq)*100;
            }
            
            echo "<TD CLASS = \"resultat\"> ".round($percentatge,2)."</TD>\n
            </TR>";

            $contador++;
        
        }
        
        echo "</TABLE>\n";
    }

    $percentatge_clients = 0;
    $percentatge_servidors = 0;

    if($num_maq_client!=0){
    
        $percentatge_clients = ($num_maq_client / $total_maq)*100;
    }
    
    if($num_maq_servidor!=0){
    
        $percentatge_servidors = ($num_maq_servidor / $total_maq)*100;
    }
    
    echo "<BR><BR>\n
    <B>TOTAL OF MACHINES REGISTERED : </B>".$total_maq."\n
    <BR><BR>\n
    <B>THE ".round($percentatge_clients,2)." % OF MACHINES REGISTERED ARE CLIENTS<BR><BR>\n
    THE ".round($percentatge_servidors,2)." % OF MACHINES REGISTERED ARE SERVERS<BR>\n</B>";
}

else{
    echo "<B>There are no results for the specified statistics.\n</B>";    
}

pg_close($conexio);
?>
<BR><BR><BR><BR><BR><BR><BR>
</BODY>
</HTML>