<?php

/*aquesta funcio rep un valor del tipus "ciutat(pais)" i ha d'extreure la ciutat*/

function ciutat($valor){

    /*inicialitzem el comptador i el valor de retorn*/

    $i = 0;
    $ciutat = ""; 


    /*
    mentre no trobem l'inici de parntesi, o arribem al final de la cadena, 
    anem llegint el nom de la ciutat. El control de la longitud de l'string es fa per evitar bucles
    infinits en dades falsejades
    */

    while(($i<strlen($valor))and($valor[$i]!="(")){
    
        $ciutat.=$valor[$i];
        $i++;

    }

    return $ciutat;

}


/*aquesta funcio rep un valor del tipus "ciutat(pais)" i ha d'extreure el pais*/

function pais($valor){

    /*inicialitzem el comptador i el valor de retorn*/

    $i = 0;
    $pais = ""; 

    /*
    mentre no trobem l'inici de parntesi, o arribem al final de la cadena, 
    anem llegint el nom de la ciutat. El control de la longitud de l'string es fa per evitar bucles
    infinits en dades falsejades
    */


    while(($i<strlen($valor))and($valor[$i]!="(")){
    
        $i++;

    }

    /*avancem una posici per situar-nos al principi del nom del pas*/

    $i++;

    /*mentre no trobem el final de parntesi, o arribem al final de la cadena, anem llegint el nom del pas*/

    while(($i<strlen($valor))and($valor[$i]!=")")){
    
        $pais.=$valor[$i];
        $i++;

    }

    return $pais;

}

/*aquesta funcio mostra el missatge d'error, segons el codi d'error que s'ha generat*/

function missatge_error($num_error, $idioma){

    $missatge = "";

    switch($num_error){


        case -1:if($idioma == "english") $missatge = "Can't execute the selected function.";
            if($idioma == "catala") $missatge = "No es pot executar la funci&oacute; seleccionada."; 
            break;

        case 1: if($idioma == "english") $missatge = "Can't find the selected machine.";
            if($idioma == "catala") $missatge = "La m&agrave;quina indicada &eacute;s inexistent."; 
            break;

        case 2: if($idioma == "english") $missatge = "Can't delete the last purpose of the machine.";
            if($idioma == "catala") $missatge = "No es pot eliminar l'&uacute;ltim prop&ograve;sit de la m&agrave;quina."; 
            break;

        case 3: if($idioma == "english") $missatge = "Can't find the selected user.";
            if($idioma == "catala") $missatge = "L'usuari indicat no existeix."; 
            break;

        case 4: if($idioma == "english") $missatge = "The user is already registered.";
            if($idioma == "catala") $missatge = "L'usuari ja est&agrave; registrat."; 
            break;

        case 5: if($idioma == "english") $missatge = "The machine is already registered.";
            if($idioma == "catala") $missatge = "La m&agrave;quina ja est&agrave; registrada."; 
            break;

        case 6: if($idioma == "english") $missatge = "The password is incorrect. It must have 8 character length";
            if($idioma == "catala") $missatge = "El password &eacute;s incorrecte, ha de tenir una longitud de 8 car&agrave;cters"; 
            break;

        case 7: if($idioma == "english") $missatge = "The purpose is already registered for the selected machine.";
            if($idioma == "catala") $missatge = "L'assignaci&oacute; d'aquest prop&ograve;sit ja est&agrave; donada d'alta."; 
            break;

        case 8: if($idioma == "english") $missatge = "Can't find the selected use.";
            if($idioma == "catala") $missatge = "L'&uacute;s indicat no existeix."; 
            break;

        case 9: if($idioma == "english") $missatge = "You must indicate a purpose.";
            if($idioma == "catala") $missatge = "S'ha d'indicar un prop&ograve;sit."; 
            break;

        case 10: if($idioma == "english") $missatge = "You must indicate a city.";
            if($idioma == "catala") $missatge = "S'ha d'indicar una ciutat."; 
            break;

        case 11: if($idioma == "english") $missatge = "You must indicate a distribution.";
            if($idioma == "catala") $missatge = "S'ha d'indicar una distribuci&oacute;."; 
            break;

        case 12: if($idioma == "english") $missatge = "You must indicate an operating system.";
            if($idioma == "catala") $missatge = "S'ha d'indicar un sistema operatiu."; 
            break;

        case 13: if($idioma == "english") $missatge = "You must indicate a kind of cpu.";
            if($idioma == "catala") $missatge = "S'ha d'indicar un tipus de cpu."; 
            break;

        case 14: if($idioma == "english") $missatge = "You must indicate a maker of cpu.";
            if($idioma == "catala") $missatge = "S'ha d'indicar un fabricant de cpu."; 
            break;

        case 15: if($idioma == "english") $missatge = "You must indicate an e-mail.";
            if($idioma == "catala") $missatge = "S'ha d'indicar un e-mail."; 
            break;

        case 16: if($idioma == "english") $missatge = "You must select a kind of use.";
            if($idioma == "catala") $missatge = "S'ha d'indicar un tipus d'&uacute;s."; 
            break;

        case 17: if($idioma == "english") $missatge = "You must indicate a University.";
            if($idioma == "catala") $missatge = "S'ha d'indicar una Universitat."; 
            break;

        case 18: if($idioma == "english") $missatge = "You must indicate a program.";
            if($idioma == "catala") $missatge = "S'ha d'indicar un programa."; 
            break;

        case 19: if($idioma == "english") $missatge = "This use is already registered.";
            if($idioma == "catala") $missatge = "Aquest &uacute;s ja s'ha registrat."; 
            break;

        case 20: if($idioma == "english") $missatge = "The percentage of use entered is incorrect.";
            if($idioma == "catala") $missatge = "El percentatge d'&uacute;s entrat &eacute;s incorrecte."; 
            break;

        case 21: if($idioma == "english") $missatge = "You must indicate the release of the program.";
            if($idioma == "catala") $missatge = "S'ha d'indicar una versi&oacute; del programa."; 
            break;

        case 22: if($idioma == "english") $missatge = "The number of users entered is incorrect.";
            if($idioma == "catala") $missatge = "El nombre d'usuaris indicat &eacute;s incorrecte.";
            break;

        case 23: if($idioma == "english") $missatge = "The number of cpu's entered is incorrect.";
            if($idioma == "catala") $missatge = "El nombre de cpu's entrat &eacute;s incorrecte.";
            break;

        case 24: if($idioma == "english") $missatge = "The Mhz of cpu entered are incorrect.";
            if($idioma == "catala") $missatge = "Els Mhz de la cpu entrats s&oacute;n incorrectes.";
            break;

        case 25: if($idioma == "english") $missatge = "You must indicate a name for the machine.";
            if($idioma == "catala") $missatge = "S'ha d'indicar un nom per a la m&agrave;quina.";
            break;

        case 26: if($idioma == "english") $missatge = "You must indicate a kernel version.";
            if($idioma == "catala") $missatge = "S'ha d'indicar la versi&oacute; del kernel.";
            break;

        case 27: if($idioma == "english") $missatge = "The city of the machine and the school must be the same.";
            if($idioma == "catala") $missatge = "La ciutat on est&agrave; situada la m&agrave;quina i la de l 'escola a la que pertany han de coincidir.";
            break;

        case 28: if($idioma == "english") $missatge = "The operating system has invalid characters.";
            if($idioma == "catala") $missatge = "El sistema operatiu t&eacute; car&agrave;cters inv&agrave;lids.";
            break;

        case 29: if($idioma == "english") $missatge = "The distribution has invalid characters.";
            if($idioma == "catala") $missatge = "La distribuci&oacute; t&eacute; car&agrave;cters inv&agrave;lids.";
            break;

        case 30: if($idioma == "english") $missatge = "The maker of cpu has invalid characters.";
            if($idioma == "catala") $missatge = "El fabricant de la cpu t&eacute; car&agrave;cters inv&agrave;lids.";
            break;

        case 31: if($idioma == "english") $missatge = "The kind of cpu has invalid characters.";
            if($idioma == "catala") $missatge = "El tipus de cpu t&eacute; car&agrave;cters inv&agrave;lids.";
            break;

        case 32: if($idioma == "english") $missatge = "The state/region has invalid characters.";
            if($idioma == "catala") $missatge = "L'estat o regio t&eacute; car&agrave;cters inv&agrave;lids.";
            break;

        case 33: if($idioma == "english") $missatge = "The city has invalid characters.";
            if($idioma == "catala") $missatge = "La ciutat t&eacute; car&agrave;cters inv&agrave;lids.";
            break;

        case 34: if($idioma == "english") $missatge = "The school has invalid characters.";
            if($idioma == "catala") $missatge = "L'escola t&eacute; car&agrave;cters inv&agrave;lids.";
            break;

        case 35: if($idioma == "english") $missatge = "The University has invalid characters.";
            if($idioma == "catala") $missatge = "La Universitat t&eacute; car&agrave;cters inv&agrave;lids.";
            break;

        case 36: if($idioma == "english") $missatge = "The homepage entered as data has invalid characters.";
            if($idioma == "catala") $missatge = "La homepage entrada com a dada t&eacute; car&agrave;cters inv&agrave;lids.";
            break;

        case 37: if($idioma == "english") $missatge = "The name you entered has invalid characters.";
            if($idioma == "catala") $missatge = "El nom d'usuari indicat t&eacute; car&agrave;cters inv&agrave;lids.";
            break;

        case 38: if($idioma == "english") $missatge = "The password you entered has invalid characters.";
            if($idioma == "catala") $missatge = "El password indicat t&eacute; car&agrave;cters inv&agrave;lids.";
            break;

        case 39: if($idioma == "english") $missatge = "The kernel version you entered has invalid characters.";
            if($idioma == "catala") $missatge = "La versi&oacute; de kernel indicada t&eacute; car&agrave;cters inv&agrave;lids.";
            break;

        case 40: if($idioma == "english") $missatge = "The name for the machine you entered has invalid characters.";
            if($idioma == "catala") $missatge = "El nom de la maquina indicat t&eacute; car&agrave;cters inv&agrave;lids.";
            break;

        case 41: if($idioma == "english") $missatge = "The purpose you entered has invalid characters.";
            if($idioma == "catala") $missatge = "El prop&ograve;sit indicat t&eacute; car&agrave;cters inv&agrave;lids.";
            break;

       case 42: if($idioma == "english") $missatge = "The program you entered has invalid characters.";
            if($idioma == "catala") $missatge = "El programa indicat t&eacute; car&agrave;cters inv&agrave;lids.";
            break;

      case 43: if($idioma == "english") $missatge = "The program release you entered has invalid characters.";
            if($idioma == "catala") $missatge = "La versi&oacute; del programa indicada t&eacute; car&agrave;cters inv&agrave;lids.";
            break;

     case 44: if($idioma == "english") $missatge = "The email you entered has invalid characters.";
            if($idioma == "catala") $missatge = "L'email indicat t&eacute; car&agrave;cters inv&agrave;lids.";
            break;

        default: if($idioma == "english") $missatge = "Internal error.";
            if($idioma == "catala") $missatge = "Error intern."; 


    }

    return $missatge;

}


/*aquesta funcio deixa noms un espai en blanc entre paraules*/

function nomes_un_espai($valor){

    /*inicialitzem el comptador*/

    $i = 0;

    /*llegim els blancs inicials*/

    while( ($i<strlen($valor)) and ($valor[$i]== " ") ){

        $i++;    
    }

    /*inicialitzem la variable que contindra la posicio anterior a cada iteracio i la que contindra l'string 
    resultant de l'execucio de la funcio*/
    
    $anterior = "";
    $resultat = "";

    while($i<strlen($valor)){

        /*si el valor de la posicio actual es un espai...*/

        if($valor[$i] == " "){
            
            /*si el valor anterior no era un espai*/

            if($anterior != " "){
            
                $anterior = $valor[$i];
                $resultat.=$valor[$i];    
            }

            /*si el valor anterior era un espai, donat que l'actual tamb ho es, l'ignorem*/

        }

        /*si el valor de la posicio actual es un caracter diferent de l'espai...*/        
    
        else{

            /*si l'anterior era un espai en blanc...*/

            if($anterior == " "){
                
                $anterior = $valor[$i];
                $resultat.=$valor[$i];    

            }

            /*si l'anterior era un caracter diferent de l'espai en blanc...*/            

            else{

                $anterior = $valor[$i];
                $resultat.=$valor[$i];    

            }

        }
    
        /*incrementem el comptador*/

        $i++;

    }

    /*ara hem de tractar el cas en que hi hagi espais finals, nomes hi haura un,
    despres del tractament anterior*/

    if($resultat[strlen($resultat)-1]==" "){

        $top = strlen($resultat)-1;

    }
    else{

        $top = strlen($resultat);

    }

    /*inicialitzem el resultat definitiu que retornarem*/

    $result_def = "";

    /*copiem el resultat definitiu de la variable tractada i retornem*/

    for($j = 0;$j < $top; $j++ ){

       $result_def.=$resultat[$j];

    }

    return $result_def;

}


/*aquesta funcio elimina els espais en blanc del valor indicat*/

function sense_espais($valor){

    /*inicialitzem el comptador i la variable de retorn*/

    $i = 0;
    $resultat = "";

    /*tractem cada posicio de l'string*/        

    while($i<strlen($valor)){

        
        if($valor[$i] != " "){
                
            $resultat.=$valor[$i];    

        }

        $i++;    

    }

    return $resultat;    

}

/*aquesta funcio treu els posibles espais en blanc inicials*/

function sense_espais_inicials($valor){

    /*inicialitzem el comptador*/

    $i = 0;
    $resultat = "";

    /*llegim els blancs inicials*/

    while( ($i<strlen($valor)) and ($valor[$i]== " ") ){

        $i++;    
    }

    while($i<strlen($valor)){

        $resultat.=$valor[$i];
        $i++;
    }

    
    return $resultat;

}


/*aquesta funcio retorna un password aleatori de 8 caracters*/


function password_aleatori(){


    /*definim la llista de lletres*/

    $lletres = array(

    "a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z",
    
    "A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z",     

    "","",",",".",":","/","@","-","_"

    ); 

    /*agafem els segons que han passat des de 1970*/

    $segons = time();

    /*determinem el nombre de lletres i de numeros que hi hauran*/

    $num_lletres = ( 

    ($segons % 10)*( ( ($segons % 100) - ($segons % 10) ) / 10 )
    + ($segons % 10)*( ( ($segons % 1000) - ($segons % 100) ) / 100 ) 
    + ( ( ($segons % 100) - ($segons % 10) ) / 10 )*( ( ($segons % 1000) - ($segons % 100) ) / 100 ) 
    + 3*($segons % 10) 
    + 5*( ( ($segons % 100) - ($segons % 10) ) / 10 )
    + 7*( ( ($segons % 1000) - ($segons % 100) ) / 100 ) 
    ) % 9 ;     

    
    $num_numeros = 8 - $num_lletres;

    /*inicialitzem el vector que ha de contenir els caracters del password*/

    $pswd_array = array("","","","","","","","");

    /*inicialitzem el comptador, i per cada lletra que haguem d'assignar...*/

    $i = 0;

    while($i < $num_lletres){

        /*...obtenim una posicio aleatoria del password on situarem la lletra escollida...*/

        $pos_aleatoria = ( 

        ($segons % 10)*37*( ( ($segons % 100) - ($segons % 10) ) / 10 ) 
        + ($i+1)*( ( ($segons % 1000) - ($segons % 100) ) / 100 ) ) % 8;        

        /*si coincideix amb alguna ja ocupada, hem de provar amb una altra*/

    
        while($pswd_array[$pos_aleatoria] != ""){
            
            $pos_aleatoria = ( $pos_aleatoria + 1 ) % 8; 
 
        }


        /*...i escollim una lletra aleatoria per assignar al password*/

        
        $index_aleatori = ( 

        ($segons % 10)*($segons % 10)*($segons % 10)*3 
        + 5*( ( ($segons % 100) - ($segons % 10) ) / 10 )*( ( ($segons % 100) - ($segons % 10) ) / 10 ) 
        + 17*( ( ($segons % 1000) - ($segons % 100) ) / 100 ) 
        + $i*($i+1)*($segons % 10)*17 
        +$pos_aleatoria ) % 61;

        /*guardem la lletra obtinguda a la posicio indicada del password*/

        $pswd_array[$pos_aleatoria] = $lletres[$index_aleatori];

        $i++;

    }


    /*inicialitzem el comptador i per cada numero que haguem d'assignar al password...*/

    $i = 0;

    while($i < $num_numeros){


        /*busquem la primera posicio lliure*/    

        $pos_lliure = 0;

        while($pswd_array[$pos_lliure] != ""){

            $pos_lliure++;

        }

        /*quan la trobem, hi assignem un numero aleatori i incrementem el comptador*/


        $pswd_array[$pos_lliure] = ( 

        ($segons % 10)*($segons % 10)*29 
        + ( ( ($segons % 100) - ($segons % 10) ) / 10 )*( ( ($segons % 100) - ($segons % 10) ) / 10 )*3 
        + ( ( ($segons % 1000) - ($segons % 100) ) / 100 )*49 
        + ($i+1)*($i+2)*($segons % 10)*11 
        + $pos_lliure
        ) % 10;


        /*si el valor que hem assignat es un 0, aquest s'interpreta com la cadena nula, i per tant, hem de
        assignar explicitament el caracter '0'*/


        if($pswd_array[$pos_lliure] == ""){

            $pswd_array[$pos_lliure] = "0";

        }

            
        $i++;
    
    }

    /*ara hem d'extreure cada caracter del password i assignar-ho a una varible*/

    $password = "";

    $i = 0;

    while($i < 8){

        $password.=$pswd_array[$i];
        $i++;

    }

    /*retornem el password obtingut*/

    return $password;


}

/*aquesta funcio assigna una clau privada a l'usuari indicat, per poder encriptar el password als formularis.
S'executar cada vegada que un usuari faci login.*/

function assignar_private_key($conexio, $e_mail){

/*PRE-CONDICIO : Hi ha establerta una conexio amb postgresql identificada per la variable $conexio*/    


    /*obtenim una posicio aleatoria on introdurem la encriptacio del password. Com que farem servir una
    clau publica consistent en 50 caracters , hem d'escollir una posicio a partir de la qual s'introdur 
    seqencialment el password encriptat (bviament, aquesta posicio es troba entre 0 i 41, donat que el password t 8 caracters)*/
    
    $pos_aleatoria = ( time() ) % 42;

    /*fem servir la funcio password_aleatori, per obtenir una altra cadena aleatoria de la mateixa longitud que
    el password de l'usuari*/

    $private_key_assignada = password_aleatori();

    /*definim i executem la consulta que assigna la nova clau privada a l'usuari indicat*/

    $sql = "UPDATE ID_SESSIO SET private_key = '".$private_key_assignada."', data_pk = now(), 
    pos = ".$pos_aleatoria." WHERE e_mail = '".$e_mail."'";
    
    $result_set = pg_Exec($conexio, $sql);    

    return 0;

}



/*aquesta funcio retorna el password encriptat*/

function encriptar_password($conexio, $e_mail, $password){

/*PRE-CONDICIO : Hi ha establerta una conexio amb postgresql identificada per la variable $conexio*/    


    /******************Obtenim la cadena aleatoria de 50 caracters******************/

    /*aquest codi s idntic al de la funcio password_aleatori, tret per la llargada de la cadena generada*/

    
    /*definim la llista de lletres*/

    $lletres = array(

    "a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z",
    
    "A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z",

    "","",",",".",":","/","@","-","_"    
    
    ); 

    /*agafem els segons que han passat des de 1970*/

    $segons = time();

    /*determinem el nombre de lletres i de numeros que hi hauran*/

    $num_lletres = ( 

    ($segons % 10)*( ( ($segons % 100) - ($segons % 10) ) / 10 )
    + ($segons % 10)*( ( ($segons % 1000) - ($segons % 100) ) / 100 ) 
    + ( ( ($segons % 100) - ($segons % 10) ) / 10 )*( ( ($segons % 1000) - ($segons % 100) ) / 100 ) 
    + 3*($segons % 10) 
    + 5*( ( ($segons % 100) - ($segons % 10) ) / 10 )
    + 7*( ( ($segons % 1000) - ($segons % 100) ) / 100 ) 
    ) % 51 ;     

    
    $num_numeros = 50 - $num_lletres;

    /*inicialitzem el vector que ha de contenir els caracters del password*/

    $encriptacio_array = array("","","","","","","","","","","","","","","","","","","","","","","","","","","",
    "","","","","","","","","","","","","","","","","","","","","","","");

    /*inicialitzem el comptador, i per cada lletra que haguem d'assignar...*/

    $i = 0;

    while($i < $num_lletres){

        /*...obtenim una posicio aleatoria del password on situarem la lletra escollida...*/

        $pos_aleatoria = ( 

        ($segons % 10)*37*( ( ($segons % 100) - ($segons % 10) ) / 10 ) 
        + ($i+1)*( ( ($segons % 1000) - ($segons % 100) ) / 100 ) ) % 50;        

        /*si coincideix amb alguna ja ocupada, hem de provar amb una altra*/

    
        while($encriptacio_array[$pos_aleatoria] != ""){
            
            $pos_aleatoria = ( $pos_aleatoria + 1 ) % 50; 
 
        }


        /*...i escollim una lletra aleatoria per assignar al password*/

        
        $index_aleatori = ( 

        ($segons % 10)*($segons % 10)*($segons % 10)*3 
        + 5*( ( ($segons % 100) - ($segons % 10) ) / 10 )*( ( ($segons % 100) - ($segons % 10) ) / 10 ) 
        + 17*( ( ($segons % 1000) - ($segons % 100) ) / 100 ) 
        + $i*($i+1)*($segons % 10)*17 
        +$pos_aleatoria ) % 61;

        /*guardem la lletra obtinguda a la posicio indicada del password*/

        $encriptacio_array[$pos_aleatoria] = $lletres[$index_aleatori];

        $i++;

    }


    /*inicialitzem el comptador i per cada numero que haguem d'assignar al password...*/

    $i = 0;

    while($i < $num_numeros){


        /*busquem la primera posicio lliure*/    

        $pos_lliure = 0;

        while($encriptacio_array[$pos_lliure] != ""){

            $pos_lliure++;

        }

        /*quan la trobem, hi assignem un numero aleatori i incrementem el comptador*/


        $encriptacio_array[$pos_lliure] = ( 

        ($segons % 10)*($segons % 10)*29 
        + ( ( ($segons % 100) - ($segons % 10) ) / 10 )*( ( ($segons % 100) - ($segons % 10) ) / 10 )*3 
        + ( ( ($segons % 1000) - ($segons % 100) ) / 100 )*49 
        + ($i+1)*($i+2)*($segons % 10)*11 
        + $pos_lliure
        ) % 10;


        /*si el valor que hem assignat es un 0, aquest s'interpreta com la cadena nula, i per tant, hem de
        assignar explicitament el caracter '0'*/


        if($encriptacio_array[$pos_lliure] == ""){

            $encriptacio_array[$pos_lliure] = "0";

        }

            
        $i++;
    
    }

    /*ara hem d'extreure cada caracter del password i assignar-ho a una varible*/

    $encriptacio = "";

    $i = 0;

    while($i < 50){

        $encriptacio.=$encriptacio_array[$i];
        $i++;

    }

    /************fi del codi per obtenir la cadena de 50 caracters aleatoria********************/

    
    /*inicialitzem el password encriptat i el resultat de retorn*/
    
    $password_encriptat = "";
    $resultat = "";    
    $taula_desplac = array(
    
    "a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z",
    
    "A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z",

    "","",",",".",":","/","@","-","_"," ","`","","0","1","2","3","4","5","6","7","8","9"    

    ); 
    
    /*ara obtenim la private key y la posicio on s'ha d'introdur el password encriptat, per l'usuari indicat*/

    $sql = "SELECT * FROM ID_SESSIO WHERE e_mail = '".$e_mail."'";

    $result_set = pg_Exec($conexio, $sql);

    if($result_set){

        $tupla = pg_fetch_array($result_set, 0);
    $pk = $tupla['private_key'];

        /*encriptem el password*/
        
        $i=0;
        
        while($i<8){

            $pos_pswd = 0;
            
            while($pos_pswd < 74 and $taula_desplac[$pos_pswd]!=$password[$i]){
                $pos_pswd++;
            }
        
            $pos_pk = 0;
            
            while(($pos_pk < 74) and ($taula_desplac[$pos_pk]!=$pk[$i])){
                $pos_pk++;
            }
        
            $desplac = ($pos_pswd + $pos_pk + 2) % 74;
        
            $password_encriptat.= $taula_desplac[$desplac];

             $i++;
        }
 
        $pos = $tupla['pos'];

        /*copiem els primers caracters de la cadena aleatoria, fins arribar a la posicio on ha de comenar 
        l'encriptacio del password*/

        for($j = 0; $j < $pos;$j++) $resultat.=$encriptacio[$j];    

    /*copiem el password encriptat*/

        $resultat.=$password_encriptat;
        
        /*copiem els caracters finals de la cadena aleatoria*/

        $i = $pos + 8;

        while($i < 50){

            $resultat.=$encriptacio[$i];
            $i++;

        }
    
    }


    return $resultat;

}


/*funcio que rep una data i una hora i determina si han passat ms de 30 minuts*/

function ha_expirat($data){

    /*obtenim el moment actual*/

    list($hora, $min, $seg, $dia, $mes, $any) = explode(" ", DATE("H i s d m Y", time()));
    $ara = mktime($hora, $min, $seg, $dia, $mes, $any);
    

    /*obtenim la data enviada*/

    $hora = "";
    $min = ""; 
    $seg = "";
    $dia = "";
    $mes = "";
    $any = "";

    for($i = 0; $i < 4 ; $i++) $any.= $data[$i];    

    for($i = 0; $i < 2 ; $i++) $mes.= $data[$i + 5];

    for($i = 0; $i < 2 ; $i++) {

        if($data[$i]!= " ") $dia.= $data[$i + 8];

    }

    for($i = 0; $i < 2 ; $i++) $hora.= $data[$i + 11];    
    for($i = 0; $i < 2 ; $i++) $min.= $data[$i + 14];
    for($i = 0; $i < 2 ; $i++) $seg.= $data[$i + 17];    

    $data_assignacio_pk = mktime($hora, $min, $seg, $dia, $mes, $any);

    /*si han passat 30 minuts des que l'usuari va fer login, la pk no es valida*/

    return ( ($data_assignacio_pk + 30*60) < $ara);

}



/*aquesta funcio desencripta el valor donat com  a parametre i retorna el password de l'usuari*/

function desencriptar_password($conexio, $e_mail, $encriptacio){

/*PRE-CONDICIO : Hi ha establerta una conexio amb postgresql identificada per la variable $conexio*/    

    /*inicialitzem la variable de retorn*/

    $password = "";
    $password_encriptat = "";
    $taula_desplac = array(
    
    "a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z",
    
    "A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z",

    "","",",",".",":","/","@","-","_"," ","`","","0","1","2","3","4","5","6","7","8","9"    

    ); 


    /*obtenim la private key y la posicio on es va introdur el password encriptat, per l'usuari indicat*/

    $sql = "SELECT * FROM ID_SESSIO WHERE e_mail = '".$e_mail."'";

    $result_set = pg_Exec($conexio, $sql);

    if($result_set){

        $tupla = pg_fetch_array($result_set);

        /*comprovem si ha expirat la data de la private key assignada l'ltima vegada que va fer login*/

        if(!ha_expirat($tupla['data_pk'])){

            $i = $tupla['pos'];
            
            /*hem d'executar el bucle 8 vegades per obtenir els 8 caracters de l'encriptacio del password*/

            while( $i < $tupla['pos'] + 8){
        
                $password_encriptat.= $encriptacio[$i];
                $i++;
            }


            /*obtenim la private key de l'usuari*/
            
            $pk = $tupla['private_key'];

            /*obtenim el password de l'usuari*/

            $i=0;
            
            while($i<8){
    
                $pos_pswd_enc = 0;
                
                while($pos_pswd_enc < 74 and $taula_desplac[$pos_pswd_enc]!=$password_encriptat[$i]){
                    $pos_pswd_enc++;
                }
            
                $pos_pk = 0;
                
                while($pos_pk < 74 and $taula_desplac[$pos_pk]!=$pk[$i]){
                    $pos_pk++;
                }
                
                $desplac = $pos_pswd_enc - $pos_pk - 2;

                if($desplac < 0 ) $desplac+= 74;

                $password.= $taula_desplac[$desplac];
    
                 $i++;
            }
 
        }
    
    }

    return $password;

}

/*aquesta funcio comprova que el valor indicat conte nomes caracters numerics*/

function nomes_numeros($valor){

    $resultat = TRUE;
    $i = 0;

    while($i< strlen($valor)){

        if($valor[$i]!="0" AND $valor[$i]!="1" AND $valor[$i]!="2" 
        AND $valor[$i]!="3" AND $valor[$i]!="4" AND $valor[$i]!="5" AND $valor[$i]!="6" AND 
        $valor[$i]!="7" AND $valor[$i]!="8" AND $valor[$i]!="9"){

             $resultat =  FALSE;
        }

        $i++;

    }
    
    return $resultat;

}

/*aquesta funcio comprova que el valor indicat conte caracters o els caracters especials ' ',',','-','_','','`' */

function es_alfa($valor){

    $i = 0;

    $resultat = true;

    while(($i<strlen($valor))and $resultat){

        $resultat = ( ($valor[$i] >= "a" and $valor[$i] <= "z") or 
                ($valor[$i] >= "A" and $valor[$i] <= "Z") or
                $valor[$i]=="," or $valor[$i]==" " or $valor[$i]=="-" or $valor[$i]=="_" or $valor[$i]=="`" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]==""
        );
        $i++;

    }

    return $resultat;

}

/*aquesta funcio comprova que el valor indicat es alfanumeric o te els caracters especials ' ',',','-','_','','`',
'@','.','/',':' */

function es_alfanumeric($valor){

    $i = 0;

    $resultat = true;

    while(($i<strlen($valor))and $resultat){

        $resultat = ( ($valor[$i] >= "a" and $valor[$i] <= "z") or 
                ($valor[$i] >= "A" and $valor[$i] <= "Z") or
                $valor[$i]=="," or $valor[$i]==" " or $valor[$i]=="-" or $valor[$i]=="_" or $valor[$i]=="`" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="@" or $valor[$i]=="/" or $valor[$i]=="." or $valor[$i]==":" or
                $valor[$i]=="0" or $valor[$i]=="1" or $valor[$i]=="2" or $valor[$i]=="3" or $valor[$i]=="4" or $valor[$i]=="5" or $valor[$i]=="6" or $valor[$i]=="7" or $valor[$i]=="8" or $valor[$i]=="9" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="" or $valor[$i]==""
                );
        $i++;

    }

    return $resultat;

}


/*aquesta funcio comprova que el password te caracters valids*/


function pswd_valid($valor){

    $i = 0;

    $resultat = true;

    while(($i<strlen($valor))and $resultat){

        $resultat = ( ($valor[$i] >= "a" and $valor[$i] <= "z") or 
                ($valor[$i] >= "A" and $valor[$i] <= "Z") or
                $valor[$i]=="," or $valor[$i]=="-" or $valor[$i]=="_" or                                      $valor[$i]=="" or $valor[$i]=="" or $valor[$i]=="@" or $valor[$i]=="/" or                 $valor[$i]=="." or $valor[$i]==":" or $valor[$i]=="0" or $valor[$i]=="1" or                 $valor[$i]=="2" or $valor[$i]=="3" or $valor[$i]=="4" or $valor[$i]=="5" or                 $valor[$i]=="6" or $valor[$i]=="7" or $valor[$i]=="8" or $valor[$i]=="9"    
                );
        $i++;

    }

    return $resultat;
}

function te_cometes_o_barra($valor){

    $i = 0;
    $resultat = false;

    while(($i<strlen($valor))and !$resultat){

        $resultat = ( $valor[$i] == "'" or $valor[$i] == "\"" or $valor[$i]=="\\");
        $i++;

    }

    return $resultat;

}

?> 